// pages/topic/addList.js

let App = getApp();
Page({

   /**
   * 页面的初始数据
   */
  data: {
    list: [
      // {
      //   id:1,
      //   name:'洛阳',
      //   date:'2024.04.07'
      // },
      // {
      //   id:2,
      //   name:'郑州',
      //   date:'2024.05.07'
      // },
      // {
      //   id:3,
      //   name:'武汉',
      //   date:'2024.08.07'
      // },
    ],
    lightedList:[],
	noMore: false, // 没有更多数据
    isLoading: true, // 是否正在加载中
    page: 1, // 当前页码
  },

  /**
   * 生命周期函数--监听页面加载
   */
  onLoad: function (options) {
		this.get_address_list();
  },

  /**
   * 获取地点列表
   */
	get_address_list(isPage, pageNum){
		let that = this;
		wx.showLoading();
		App._post_form('footchina/getCitysNew', {
			page: pageNum || 1,
			user_id: wx.getStorageSync('user_id'),
		}, result => {
			wx.hideLoading();
			let resList = result.data.data,dataList = that.data.list;
			if (isPage == true) {
				that.setData({
					last_page:resList.list.last_page,
					list: dataList.concat(resList.list.data),
					isLoading: false,
				});
			} else {
				that.setData({
				  list: resList.list.data,
				  isLoading: false,
				});
      }
      // let list2 = list.find(obj => condition(obj.already == 1));
      console.log('list2',this.data.list);
      // that.setData({
      //   lightedList:list2
      // })

      
			
	   });
	},
	goInfo: function (e) {
		var id = e.target.dataset.id;
		wx.navigateTo({
            url: "/pages/rank/addInfo?id=" + id
        });
	},
	/**
   * 下拉到底加载数据
   */
	  onReachBottom() {
		let _this = this;
		// 已经是最后一页
		if (_this.data.page >= _this.data.last_page) {
		  _this.setData({
			noMore: true
		  });
		  return false;
		}
		// 加载下一页列表
		_this.get_address_list(true, ++_this.data.page);
	  }


})