// pages/topic/addList.js

let App = getApp();
Page({

   /**
   * 页面的初始数据
   */
  data: {
    list: [],
    dangqianData: [],
  },

  /**
   * 生命周期函数--监听页面加载
   */
  onLoad: function (options) {
		this.get_address_list();
  },

  /**
   * 获取地点列表
   */
	get_address_list: function(){
		let that = this;
		wx.showLoading();
		App._post_form('topic/getAddress', {
		   user_id: wx.getStorageSync('user_id'),
		}, result => {
			wx.hideLoading();
			var list = result.data.data.address;
			var dangqianData = result.data.data.dangqianData;
			that.setData({
				list,
				dangqianData
			});
			
			
	   });
	},
	goInfo: function (e) {
		var id = e.target.dataset.id;
		wx.navigateTo({
            url: "/pages/topic/addInfo?id=" + id
        });
	},

})